Bug 800275 - [ovirt] [engine-core] migrate cancel won't work if migration started and source can't reach dest
[ovirt] [engine-core] migrate cancel won't work if migration started and sour...
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: lpeer
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 03:09 EST by Haim
Modified: 2014-01-12 19:51 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-12 05:42:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-03-06 03:09:13 EST
Description of problem:

scenario: 

- src & dest (src is SPM - important as we get different behavior)
- vm is running on src
- using web-admin, start migration (sec before - issue the following command on dest)
  * kill -STOP `cat /var/run/vdsm/vdsmd.pid` # this will emulate deadlock in vdsm
- vm status changes to migrating from on web-admin, vdsm reports guest as UP
- issue the migrate cancel command (available on UI) - command will fail: 
  migration not in progress (as guest is reported up)

engine:

2012-03-06 09:58:08,703 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CancelMigrateVDSCommand] (pool-5-thread-7) [4504f7a] START, CancelMigrateVDSCommand(vdsId = d05ed726-5bd5-11e1-b3d5-0fa1db0ec1ef, vmId=04c8a606-6f3a-4b9c-8167-60cb
1cf18552), log id: 3b287d06
2012-03-06 09:58:08,709 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (pool-5-thread-7) [4504f7a] Failed in CancelMigrateVDS method
2012-03-06 09:58:08,710 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (pool-5-thread-7) [4504f7a] Error code MIGRATION_CANCEL_ERROR and error message VDSGenericException: VDSErrorException: Failed to CancelMigrateV
DS, error = Migration not in progress
2012-03-06 09:58:08,710 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (pool-5-thread-7) [4504f7a] Command org.ovirt.engine.core.vdsbroker.vdsbroker.CancelMigrateVDSCommand return value 
 Class Name: org.ovirt.engine.core.vdsbroker.vdsbroker.StatusOnlyReturnForXmlRpc
mStatus                       Class Name: org.ovirt.engine.core.vdsbroker.vdsbroker.StatusForXmlRpc
mCode                         47
mMessage                      Migration not in progress


2012-03-06 09:58:08,711 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (pool-5-thread-7) [4504f7a] Vds: nott-vds2.qa.lab.tlv.redhat.com
2012-03-06 09:58:08,711 ERROR [org.ovirt.engine.core.vdsbroker.VDSCommandBase] (pool-5-thread-7) [4504f7a] Command CancelMigrateVDS execution failed. Exception: VDSErrorException: VDSGenericException: VDSErrorException: Failed to Cancel
MigrateVDS, error = Migration not in progress
2012-03-06 09:58:08,711 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CancelMigrateVDSCommand] (pool-5-thread-7) [4504f7a] FINISH, CancelMigrateVDSCommand, log id: 3b287d06
2012-03-06 09:58:08,712 ERROR [org.ovirt.engine.core.bll.CancelMigrateVmCommand] (pool-5-thread-7) [4504f7a] Command org.ovirt.engine.core.bll.CancelMigrateVmCommand throw Vdc Bll exception. With error message VdcBLLException: org.ovirt
.engine.core.vdsbroker.vdsbroker.VDSErrorException: VDSGenericException: VDSErrorException: Failed to CancelMigrateVDS, error = Migration not in progress
2012-03-06 09:58:08,713 ERROR [org.ovirt.engine.core.bll.CancelMigrateVmCommand] (pool-5-thread-7) [4504f7a] Transaction rolled-back for command: org.ovirt.engine.core.bll.CancelMigrateVmCommand.

vdsm:

Thread-625::DEBUG::2012-03-06 09:57:25,981::BindingXMLRPC::848::vds::(wrapper) client [10.35.97.30]::call vmMigrationCancel with ('04c8a606-6f3a-4b9c-8167-60cb1cf18552',) {} flowID [4504f7a]
Thread-625::DEBUG::2012-03-06 09:57:25,983::BindingXMLRPC::854::vds::(wrapper) return vmMigrationCancel with {'status': {'message': 'Migration not in progress', 'code': 47}}
Comment 1 Itamar Heim 2012-12-12 05:42:46 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.